[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

Re: Dependency package get removed when upgrade base package?



Block is fine...Thanks, will have a try in that.

On Tue, Jul 27, 2010 at 3:58 PM, devzero2000 <pinto.elia@xxxxxxxxx> wrote:
On Tue, Jul 27, 2010 at 8:50 AM, Huo QiFeng <huoqifeng@xxxxxxxxx> wrote:
> If b1 depends on a1 explictly,  and i'm upgrading from a1 to a2? Will b1 be
> removed automatically? Or the upgrading be blocked to instruct user to
> remove b1 first?
I suppose that when you tell : b1 depends on a1 explictly you would tell
that exist in the b1 spec an Requires : a = 1: in this case the
upgrading will block yes
e.g. rpm -Uvh will tell you

error: Failed dependencies:
       a = 1 is needed by (installed) b-1.0-1.noarch

But you can put an Obsoletes: b  in a2 spec and b1 will be removed
automatically. e.g

rpm -q b
b-1.0-1
[root@joke ~]# rpm -Uvh /home/machbuild/rpmbuild/RPMS/a-2-1.noarch.rpm
Preparing...                ########################################### [100%]
  1:a                      ########################################### [100%]
[root@joke ~]# rpm -q b
package b is not installed

hth

>
> --
> Best Regards
> ------------------------------------------------
> Huo QiFeng
>
> _______________________________________________
> Rpm-list mailing list
> Rpm-list@xxxxxxxxxxxxx
> http://lists.rpm.org/mailman/listinfo/rpm-list
>
>
_______________________________________________
Rpm-list mailing list
Rpm-list@xxxxxxxxxxxxx
http://lists.rpm.org/mailman/listinfo/rpm-list



--
Best Regards
------------------------------------------------
Huo QiFeng
_______________________________________________
Rpm-list mailing list
Rpm-list@xxxxxxxxxxxxx
http://lists.rpm.org/mailman/listinfo/rpm-list

[Linux Kernel]     [Red Hat Install]     [PAM]     [Red Hat Watch List]     [Red Hat Development]     [Red Hat]     [Gimp]     [Yosemite News]     [IETF Discussion]